// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.3.2
// source: node_agent.proto

package agentsProtobuf

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type NodeResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VIm   float64 `protobuf:"fixed64,1,opt,name=v_im,json=vIm,proto3" json:"v_im,omitempty"`
	VRe   float64 `protobuf:"fixed64,2,opt,name=v_re,json=vRe,proto3" json:"v_re,omitempty"`
	VNorm float64 `protobuf:"fixed64,3,opt,name=v_norm,json=vNorm,proto3" json:"v_norm,omitempty"`
	Used  bool    `protobuf:"varint,4,opt,name=used,proto3" json:"used,omitempty"`
}

func (x *NodeResult) Reset() {
	*x = NodeResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_node_agent_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NodeResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NodeResult) ProtoMessage() {}

func (x *NodeResult) ProtoReflect() protoreflect.Message {
	mi := &file_node_agent_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NodeResult.ProtoReflect.Descriptor instead.
func (*NodeResult) Descriptor() ([]byte, []int) {
	return file_node_agent_proto_rawDescGZIP(), []int{0}
}

func (x *NodeResult) GetVIm() float64 {
	if x != nil {
		return x.VIm
	}
	return 0
}

func (x *NodeResult) GetVRe() float64 {
	if x != nil {
		return x.VRe
	}
	return 0
}

func (x *NodeResult) GetVNorm() float64 {
	if x != nil {
		return x.VNorm
	}
	return 0
}

func (x *NodeResult) GetUsed() bool {
	if x != nil {
		return x.Used
	}
	return false
}

var File_node_agent_proto protoreflect.FileDescriptor

var file_node_agent_proto_rawDesc = []byte{
	0x0a, 0x10, 0x6e, 0x6f, 0x64, 0x65, 0x5f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0x5d, 0x0a, 0x0a, 0x4e, 0x6f, 0x64, 0x65, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74,
	0x12, 0x11, 0x0a, 0x04, 0x76, 0x5f, 0x69, 0x6d, 0x18, 0x01, 0x20, 0x01, 0x28, 0x01, 0x52, 0x03,
	0x76, 0x49, 0x6d, 0x12, 0x11, 0x0a, 0x04, 0x76, 0x5f, 0x72, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x01, 0x52, 0x03, 0x76, 0x52, 0x65, 0x12, 0x15, 0x0a, 0x06, 0x76, 0x5f, 0x6e, 0x6f, 0x72, 0x6d,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x01, 0x52, 0x05, 0x76, 0x4e, 0x6f, 0x72, 0x6d, 0x12, 0x12, 0x0a,
	0x04, 0x75, 0x73, 0x65, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x75, 0x73, 0x65,
	0x64, 0x42, 0x12, 0x5a, 0x10, 0x2e, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x50, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_node_agent_proto_rawDescOnce sync.Once
	file_node_agent_proto_rawDescData = file_node_agent_proto_rawDesc
)

func file_node_agent_proto_rawDescGZIP() []byte {
	file_node_agent_proto_rawDescOnce.Do(func() {
		file_node_agent_proto_rawDescData = protoimpl.X.CompressGZIP(file_node_agent_proto_rawDescData)
	})
	return file_node_agent_proto_rawDescData
}

var file_node_agent_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_node_agent_proto_goTypes = []interface{}{
	(*NodeResult)(nil), // 0: NodeResult
}
var file_node_agent_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_node_agent_proto_init() }
func file_node_agent_proto_init() {
	if File_node_agent_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_node_agent_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NodeResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_node_agent_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_node_agent_proto_goTypes,
		DependencyIndexes: file_node_agent_proto_depIdxs,
		MessageInfos:      file_node_agent_proto_msgTypes,
	}.Build()
	File_node_agent_proto = out.File
	file_node_agent_proto_rawDesc = nil
	file_node_agent_proto_goTypes = nil
	file_node_agent_proto_depIdxs = nil
}
